## ros-indigo-or-nodes 0.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(or_nodes)

# Set the build type.	Options are:
#	Coverage			 : w/ debug symbols, w/o optimization, w/ code-coverage
#	Debug					: w/ debug symbols, w/o optimization
#	Release				: w/o debug symbols, w/ optimization
#	RelWithDebInfo : w/ debug symbols, w/ optimization
#	MinSizeRel		 : w/o debug symbols, w/ optimization, stripped binaries

#set the default path for built executables to the "bin" directory
#set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
#set the default path for built libraries to the "lib" directory
#set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)

set(CMAKE_BUILD_TYPE Release)

# TODO enable after robbie_architecture is removed
#SET(CMAKE_CXX_FLAGS "-std=c++0x")

find_package(catkin REQUIRED COMPONENTS message_generation roscpp_serialization roscpp cv_bridge tf or_msgs or_libs roslib robbie_architecture homer_nav_libs cmake_modules)

# find and activate OpenMP multicore processing standard
find_package(OpenMP)
if (OPENMP_FOUND)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
    message(STATUS "Found OpenMP")
endif()


#uncomment if you have defined messages
#rosbuild_genmsg()
#uncomment if you have defined services
#rosbuild_gensrv()

#common commands for building c++ executables and libraries
#rosbuild_add_library(${PROJECT_NAME} src/example.cpp)
#target_link_libraries(${PROJECT_NAME} another_library)
#rosbuild_add_boost_directories()
#rosbuild_link_boost(${PROJECT_NAME} thread)
#rosbuild_add_executable(example examples/example.cpp)
#target_link_libraries(example ${PROJECT_NAME})

file(MAKE_DIRECTORY images)
file(MAKE_DIRECTORY objectProperties)

# boost
set(Boost_USE_MULTITHREADED ON)
#signals regex filesystem thread date_time iostreams
find_package(Boost REQUIRED COMPONENTS system serialization date_time program_options signals timer)
set(USEPKG_INCLUDE_DIR ${Boost_INCLUDE_DIR} ${USEPKG_INCLUDE_DIR})
set(USEPKG_LIBRARIES ${Boost_LIBRARIES} ${USEPKG_LIBRARIES})


##############################################################################
# Required 3rd party
##############################################################################
find_package( OpenCV REQUIRED )

catkin_package(
	INCLUDE_DIRS
		include
	CATKIN_DEPENDS
		message_runtime
		std_msgs
		sensor_msgs
		roscpp_serialization
		or_libs
		roslib
		or_msgs
	LIBRARIES
		Modules
)

# This is necessary as all ui files etc will get dumped in the bottom of the
# binary directory.
include_directories(
	${catkin_INCLUDE_DIRS}
	include
)

##############################################################################
# Sections
##############################################################################


##############################################################################
# Sources
##############################################################################

#file(GLOB_RECURSE RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} FOLLOW_SYMLINKS
#	src/main.cpp
#)
add_subdirectory(src/Modules)

##############################################################################
# Binaries
##############################################################################
	#add_executable(hfc_eval_tool
          #eval_tool/eval_tool.cpp
          #eval_tool/hough_feature_clustering.cpp)

#target_link_libraries(hfc_eval_tool ${Boost_LIBRARIES} ${catkin_LIBRARIES})

add_executable(obj_rec src/obj_rec.cpp)
add_executable(obj_learn src/obj_learn.cpp)

target_link_libraries(obj_rec
	Modules
	${Boost_LIBRARIES}
	${catkin_LIBRARIES}
)

target_link_libraries(obj_learn
	Modules
	${Boost_LIBRARIES}
	${catkin_LIBRARIES}
)

add_dependencies(obj_rec
		or_msgs_generate_messages_cpp
)

add_dependencies(obj_learn
		or_msgs_generate_messages_cpp
)

install(TARGETS obj_rec DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(TARGETS obj_learn DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY include/or_nodes/ DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== src/Modules/CMakeLists.txt ===
#find_package(Unicap REQUIRED)
#find_package(GeoTiff REQUIRED)
#find_package(Glib2 REQUIRED)
#find_package(PocketSphinx REQUIRED)
#find_package(KNI REQUIRED)
#find_package(Gstreamer REQUIRED)
#find_package(XmlTwo REQUIRED)
#find_package(PCL REQUIRED)
#find_package(OpenCV REQUIRED)

# QT related
#find_package(Qt4 COMPONENTS QtCore QtGui REQUIRED)
#include(${QT_USE_FILE})
#add_definitions(${QT_DEFINITIONS})

set(
	Modules_SRC
		ORControlModule.cpp
		#ORFaceLearningModule.cpp
		ORLearningModule.cpp
		ORLoaderModule.cpp
		ORMatchingModule.cpp
)

#include_directories(SYSTEM
#  ${Unicap_INCLUDE_DIR}
#  ${Glib2_INCLUDE_DIR}
#  ${PocketSphinx_INCLUDE_DIR}
#  ${QT_INCLUDE_DIR}
#  ${KNI_INCLUDE_DIR}
#  ${PCL_INCLUDE_DIR}
#  ${GeoTiff_INCLUDE_DIR}
#  ${Gstreamer_INCLUDE_DIR}
#  ${XmlTwo_INCLUDE_DIR}
#)

add_library(Modules ${Modules_SRC})

target_link_libraries(
	Modules
		${OpenCV_LIBRARIES}
		${catkin_LIBRARIES}
		flann
)

add_dependencies(
	Modules
		or_msgs_gencpp
		ptu_gencpp
)

install(TARGETS Modules DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== debian/changelog ===
ros-indigo-or-nodes (0.0.4-0trusty) trusty; urgency=high

  * moved header files to include directory + install()
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Mon, 07 Dec 2015 23:00:00 -0000

ros-indigo-or-nodes (0.0.3-0trusty) trusty; urgency=high

  * added dependecies
  * added maintainers + fixed robbie_architecture-includes
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Sun, 06 Dec 2015 23:00:00 -0000

ros-indigo-or-nodes (0.0.2-0trusty) trusty; urgency=high

  * big bang
  * Contributors: Raphael Memmesheimer

 -- Viktor Seib <vseib@uni-koblenz.de>  Mon, 07 Sep 2015 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-or-nodes
Section: misc
Priority: extra
Maintainer: Viktor Seib <vseib@uni-koblenz.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libopencv-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-cv-bridge, ros-indigo-genmsg, ros-indigo-homer-nav-libs, ros-indigo-message-generation, ros-indigo-or-libs, ros-indigo-or-msgs, ros-indigo-robbie-architecture, ros-indigo-roscpp, ros-indigo-roscpp-serialization, ros-indigo-roslang, ros-indigo-roslib, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-or-nodes
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libopencv-dev, ros-indigo-cv-bridge, ros-indigo-homer-nav-libs, ros-indigo-message-runtime, ros-indigo-or-libs, ros-indigo-or-msgs, ros-indigo-robbie-architecture, ros-indigo-roscpp-serialization, ros-indigo-roslib, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Description: or_nodes

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-or-nodes//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
